Status: Closed
Priority: Normal
Category:
Customer: VW Product Issue
Numbers:
Department: Affected Products: ADTF 3.3.3
Requester's Priority: Normal Platform: Windows 7 64bit
Support Level: 2nd Level Topic: ADTF::SDK
Resolution: Solved Issue FAQ Links:
Description
Support Anfrage:

In alten Filtern haben wir oft die Funktion OlGetinstanceName() verwendet um den Filter zu identifizieren.
Die neue Funktion GetOID() ist aber im Filter nicht mehr vorhanden weil cFilter nicht von 10bjectInfo ableitet.

Lésung:

Diese Funktion gibt es jetzt nicht mehr Gber die Filter API. Daftir aber als Macro.

Schau mal in unsere Doku: https://support.digitalwerk.net/adtf/v3/adtf html/page_adtf macros.html
Und da speziell das Macro adtf::services::macro:: THIS_OBJECT_NAME.

In einem Property schaut das dann etwa so aus:

property_variable<cString> m_strName = "$ (THIS_OBJECT_NAME)"

Leider wei3 nur der SessionManager wie dein Filter hei3t. Deshalb kann das Macro nicht an beliebiger Stelle abgefragt werden,
sonder nur als Property.

History

#1 - 2018-11-19 12:58 - hidden
- Status changed from New to In Progress
- Topic set to ADTF::SDK

- Customer set to VW

#2 - 2018-11-19 13:04 - hidden

@Sebastian: Bitte wie besprochen bearbeiten

#3 - 2018-11-27 10:34 - hidden

Diese Funktion gibt es jetzt nicht mehr Gber die Filter API. Dafur aber als Macro.

Schau mal in unsere Doku: https://support.digitalwerk.net/adtf/v3/adtf _html/page_adtf macros.html

Und da speziell das Macro adtf::services::macro:: THIS_OBJECT_NAME.
In einem Property schaut das dann etwa so aus:

property_variable<cString> m_strName = "$ (THIS_OBJECT_NAME)"

#4 - 2018-11-27 15:25 - hidden

- Status changed from In Progress to Customer Feedback Required
https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_macros.html
https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_macros.html

#5 - 2018-12-03 11:52 - hidden

Hallo Timo,

ist hier noch eine Frage offen oder kdnnen wir das Ticket schlieBen?

#6 - 2018-12-06 11:09 - hidden

Hallo Timo S,

Wir haben noch kein Feedback zu diesem Ticket von dir erhalten.
Kann das Ticket geschlossen werden?

Bitte Feedback geben bis 07.12.2018

Danke und Gruf3,
Michael

#7 - 2018-12-10 11:14 - hidden

Hallo Timo S,

bitte Feedback geben bis spatestens 12.12.2018,
andernfalls wird dieses Ticket geschlossen.

Grul3,
Michael

#8 - 2018-12-10 15:00 - hidden
Michael wrote:
Hallo Timo S,

bitte Feedback geben bis spatestens 12.12.2018,
andernfalls wird dieses Ticket geschlossen.

GruB,

Michael
jetzt konnte ich das mal ausprobieren und die folgende Zeile liefert immer einen leeren String zurick:
adtf::services::ant::adtf_resolve_macros("$(THIS_OBJECT_NAME)")
funktioniert das anders wenn man zur Laufzeit eines Filters den Objektnamen abfragen will?

#9 - 2018-12-10 15:11 - hidden

- Status changed from Customer Feedback Required to In Progress

#11 - 2018-12-20 09:09 - hidden

Hallo Timo,
Entschuldigung fir die spate Antwort:

Leider weil3 nur der SessionManager wie dein Filter hei3t. Deshalb kann das Macro nicht an beliebiger Stelle abgefragt werden, sonder nur als
Property.

GruBe,
Sebastian

#12 - 2018-12-20 11:24 - hidden

- Status changed from In Progress to Customer Feedback Required

#13 - 2019-01-11 14:19 - hidden

Hallo Timo,
dieses Ticket ist noch offen. Es kam allerdings keine Antwort mehr.
Kénnen wir das Ticket schlieBen?

Grui3
Matthias

#14 - 2019-01-15 11:14 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Resolution set to No Customer Feedback

- Platform Windows 7 64bit added

Kein weiteres Feedback - sollte geldst sein. Ticket wird geschlossen.

#15 - 2019-01-18 10:48 - hidden
- Project changed from 20 to Public Support
- Private changed from Yes to No

- Resolution changed from No Customer Feedback to Solved Issue

#17 - 2019-01-18 10:57 - hidden
- Status changed from To Be Closed to Closed
